Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Opera comes with Flash pre-installed?

  • Yeppp, exactly @perknh !

    1. It was Opera-stable that I installed AND uninstalled (I downloaded it from here http://deb.opera.com/opera/pool/non-free/o/opera-stable/). At my Ubuntu Software Center, there was no other listing of Opera. I.e. IT WAS THE ONLY ONE.
    2. When I uninstalled my Opera browser through the Ubuntu Software Center, it had this "Pepper Flash Player - browser plugin (pepperflashplugin-nonfree)" crossed from the "Optional add-on" -list. Then I executed the uninstallation. After this, I think, the problem emerged.
    3. Yes, the version numbers are same after rebooting. I have already rebooted more than twice now.
    4. Yes, you are right that the problem began after installing Opera from Opera's download site; then uninstalling Opera-stable (the only one listed at the Ubuntu Software Center; could have been found by clicking the little down-arrow at the right-side of the "Installed" icon, but not by a normal search, neither through Dash); and then reinstalling Opera-stable via the terminal. After that, these screwy version numbers began to appear for Adobe Flash.
      So in short, you got it right! Just wanted to answer in utmost detail to make it easier to follow 🙂 Thanks!
  • Hi jayaguru-shishya,

    I bet you never thought you were going to have as much fun in Opera forum as you're having now! How could it get better than this?

    jayaguru-shishya, what would you like to do now?

    Since I started with Ubuntu too, I can tell you that the best move I ever made was to replace Ubuntu Unity 12.04 LTS with Peppermint Linux OS. I say this because, when I did so, I finally had a light, blistering fast, and very customizable distribution that was Ubuntu-based (a derivative of Ubuntu). But, even more importantly than that, I discovered that I had support from 6-12 experts in Linux within an incredible support forum. And that's when things began to click for me using Linux.

    Me? I'd install 64-bit Peppermint 6 , and then, right off the bat, I'd have a distribution that has Chromium (not Firefox) as its default browser, and then I'd install, via the terminal, Opera-stable (allowing it to update itself with system updates. That, believe it or not, would probably take care of your Flash issue faster than removing this and that, and then checking this and that all over again.

    BUT, it may be that if you just uninstalled Opera-stable, and then reinstalled, we might be able to sort this out relatively fast. It seems your problem with Flash began after installing Opera-stable.

    Would you like to keep your Ubuntu 14.04 and remove Opera-stable completely before reinstalling it over again? If this works, this would be the quickest thing to do.

    If this what you'd like to do first, run this command:

    sudo apt-get remove --purge opera-stable

    That command should remove and purge Opera-stable for you.

    Would you like to start there, jayaguru-shishya?

    And you certainly know how to install Opera now --two ways in fact! (By the way, I don't believe Opera would ever knowingly try to download any malware to your computer. I'm just more comfortable installing from the command line until Opera realizes that its users would prefer downloading from an encrypted and secure download site. But, that's me. If you feel more comfortable downloading from Opera's official site than using the terminal -- say using DuckDuckGo or Google to verify that you are at Opera's official site-- please, by all means, do so.)

    perknh

  • Hi @perknh! Well, it was worth a try. I removed Opera and then re-installed it, but as I suspected it didn't work. After all, my Chromium doesn't have the up-to-date pepperflash anymore either.

    Although a newbie, my intuition would be that the removal of Opera through Ubuntu Software Center broke the pepperflash-plugin (since the optional add-on was crossed). How about removing the whole pepperflash and then reinstalling that from the scratch? How would that sound like to you? And moreover, would you be willing to help me with the procedure? I am quite confident that It'd help.

    The pepperflash was working perfectly until I removed my first installation of Opera. It must have removed something important, since I accidentally chose to remove the optional add-on called "Pepper Flash Player - browser plugin (pepperflashplugin-nonfree)".

    Thanks for the invitation to peppermint camp! 😃 I've been on Linux for two weeks now, and I think I'll give Ubuntu a chance still for a while! 🙂

    So, what do you say? 😛

  • You're a quick study, jayaguru-shishya! I think that's an excellent idea of removing and purging Pepperflash and then installing it again. What harm can this do?

    Wow! I did not realize that you've only been two weeks with Ubuntu. Of course, stay put for a while. The invitation to Peppermint stands.

    I bet you know what to run now:

    First:

    sudo apt-get remove --purge pepperflashplugin-nonfree

    I'd follow that by:

    sudo apt-get autoremove

    &

    sudo apt-get auto clean

    I'd probably then log out and then in, or reboot.

    Then I'd run:

    sudo apt-get install pepperflashplugin-nonfree

    Hopefully, this will get you up and running again correctly.

    I can't wait to hear how this goes for you, jayaguru-shishya, but I think you're onto something now.

    Good luck!

    perknh

  • Okay @perknh, now it's complaining that there "is no public key available":

    xxxxxs:~$ sudo apt-get install pepperflashplugin-nonfree
    [sudo] password for xxxxxs: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Suggested packages: chromium ttf-mscorefonts-installer ttf-dejavu ttf-xfree86-nonfree hal
    The following NEW packages will be installed: pepperflashplugin-nonfree
    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
    Need to get 10,1 kB of archives.
    After this operation, 66,6 kB of additional disk space will be used.
    Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty/multiverse pepperflashplugin-nonfree amd64 1.3ubuntu1 [10,1 kB]
    Fetched 10,1 kB in 0s (20,3 kB/s)                     
    Selecting previously unselected package pepperflashplugin-nonfree.
    (Reading database ... 192403 files and directories currently installed.)
    Preparing to unpack .../pepperflashplugin-nonfree_1.3ubuntu1_amd64.deb ...
    Unpacking pepperflashplugin-nonfree (1.3ubuntu1) ...
    Setting up pepperflashplugin-nonfree (1.3ubuntu1) ...
    ERROR: failed to retrieve status information from google : W: There is no public key available for the following key IDs: 1397BC53640DB551
    More information might be available at: http://wiki.debian.org/PepperFlashPlayer
    xxxxxs:~$
    

    What am I ought to do next? 😮

  • Hi jayaguru-shishya,

    It's true, there is no public key available (This has been an issue all along for us here.), but we had a workaround that was working before! Now our workaround isn't even working!!

    Grr! & Double Grr!!

    We'll you can always uninstall Chromium, and then install Chrome. That should give you a Pepperflash plugin that is working. Honestly, jayaguru-shishya, I've only got about three more rabbits that I can pull out of my hat, and Google Chrome is one of them.

    Uninstall Chromium, and then install Chrome from its secure and encrypted download page. That SHOULD get you an up-to-date version of Flash, because you have to agree to the installation which includes proprietary software which would include Adobe Flash, packaged through Pepperflash.

    Here's a link with more information about this:

    https://forum.peppermintos.com/index.php/topic,2882.msg28575.html#msg28575

    First, I'd uninstall Pepperflash plugin, because we're now going to grab it from Chrome itself.

    I'd do something like this:

    sudo apt-get remove --purge pepperflashplugin-nonfree

    sudo apt-get remove --purge chromium-browser

    sudo apt-get autoremove

    sudo apt-get autoclean

    Now, go to a legitimate site to download Chrome. For me, I go here, and this is what I'd like Opera to have --a download site such as this!

    https://www.google.com/chrome/

    Download Google Chrome for Debian/Ubuntu for 64-bit computers. To install Chrome you're going to have to agree to Google's terms and conditions.

    Now, along with Flash control, I'd add Privacy Badger extension to Chrome too. Both these extensions are found in Google's Store.

    Reboot you computer.

    Reality test whether or not Adobe Flash is correct in both Google Chrome and Opera.

    Knock on wood, hold your breath, and then go for it!

    Good luck, jayaguru-shishya. I promise I'm there with you in spirit!

    perknh

  • A small conclusion on what's going on and what has been done here at this point:

    1. I removed the peppermint plug-in from my computer, so we could start from the scratch.
    2. I reinstalled the plugin by running "sudo apt-get install pepperflashplugin-nonfree" in the terminal.
    3. By rerunning "sudo apt-get install pepperflashplugin-nonfree", I could check whether the plug-in is the newest version or not. Mine is, saying that "pepperflashplugin-nonfree is already the newest version."

    Okay. I made some investigations around the subject, and I found another thread - launched by you actually - at the Peppermint OS forum (https://forum.peppermintos.com/index.php?topic=3351.0). I ran "sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 1397BC53640DB551" in the console as suggested at the thread, and this is what I get:

    xxxxxs:~$ sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 1397BC53640DB551
    Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --homedir /tmp/tmp.KSVOAYFryR --no-auto-check-trustdb --trust-model always --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyring /etc/apt/trusted.gpg.d/skunk-pepper-flash.gpg --keyring /etc/apt/trusted.gpg.d/system76-dev-stable.gpg --recv-keys --keyserver keyserver.ubuntu.com 1397BC53640DB551
    gpg: requesting key 640DB551 from hkp server keyserver.ubuntu.com
    gpg: key D38B4796: public key "Google Inc. (Linux Packages Signing Authority) <linux-packages-keymaster@google.com>" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    

    Following the instructions, however, typing "sudo update-pepperflashplugin-nonfree --install" in the terminal yields the following:

    ERROR: failed to retrieve status information from google : W: There is no public key available for the following key IDs: 1397BC53640DB551
    More information might be available at: http://wiki.debian.org/PepperFlashPlayer
    

    So it didn't work either. Indeed, the public key is the problem. I wonder what we did right at the first time when we got it working ... momentarily?

    Anyway, after that I decided to uninstall pepperflash one more time, and start from the scratch again. Here's a small summary of all the commands that have been ran in the terminal:

    THE SET OF COMMANDS TO REMOVE PEPPERFLASH
    1. sudo apt-get remove --purge pepperflashplugin-nonfree
    2. sudo apt-get autoremove
    3. sudo apt-getauto clean
    
    A SUMMARY OF THE COMMANDS THAT HAVE BEEN RAN IN THE TERMINAL
    1. sudo apt-get install pepperflashplugin-nonfree
    2. sudo apt-get update
    3. sudo apt-get upgrade
    4. sudo apt-get autoremove
    5. sudo apt-get autoclean
    6. sudo apt-get install ppa-purge 
    7. sudo ppa-purge ppa:skunk/pepper-flash/ppa
    8. sudo ppa-purge ppa:skunk/ppa
    9. sudo apt-get remove --purge adobe-flashplugin
    

    Of course, since we had already removed the skunk earlier, those commands weren't anymore necessary. However, it was interesting to notice that the command number 9 removed adobe-flashplugin AGAIN. It must have come back as I reinstalled the Opera browser. Running command number 9 in the terminal gave the following:

    xxxxxs:~$ sudo apt-get remove --purge adobe-flashplugin
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED: adobe-flash-properties-gtk* adobe-flashplugin*
    0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
    After this operation, 38,6 MB disk space will be freed.
    Do you want to continue? [Y/n] Y
    (Reading database ... 192410 files and directories currently installed.)
    Removing adobe-flash-properties-gtk (1:20160407.1-0ubuntu0.14.04.1) ...
    Removing adobe-flashplugin (1:20160407.1-0ubuntu0.14.04.1) ...
    Purging configuration files for adobe-flashplugin (1:20160407.1-0ubuntu0.14.04.1) ...
    Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
    Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
    Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
    Rebuilding /usr/share/applications/bamf-2.index...
    Processing triggers for mime-support (3.54ubuntu1.1) ...
    Processing triggers for hicolor-icon-theme (0.13-1) ...
    xxxxxs:~$
    

    Well, this was drawing a summary of some sort. I'll get back to your proposals @perknh in a minute after I have booted my laptop 🙂

  • @perknh, HAH! Believe it or not, but pepperflash is back and working on my Chromium! 😃

    Remember when we suspected that my Opera browser must have been installed incorrectly since "opera://plugins" didn't display Flash of any kind? Well, here's my analysis of what happened:

    When we reinstalled Opera via terminal, it brought back the adobe-flashplugin, and this prevented the pepperflash-plugin from working correctly. Sounds reasonable to you? 🙂

    Well, now we are back where we were left: my Opera browser doesn't display any sort of flash 😛 Just "Chrome PDF Viewer (2 files)". Well, the good thing is that at least Chromium is back in order, but this is an Opera forum and I'd be very glad to move to Opera, so...

  • Hello jayaguru-shishya,

    It sounds as if you're really sorting this out piece by piece. This is great news.

    Remember, though, we want to end up with Adobe Flash. Remember our friend, gustavwiz? He was always right when he said that we needed Adobe Flash. My small contribution to the discussion was simply to suggest a way for us to get it in our Chromium-based browsers. And to do that, we need pepperflashplugin-nonfree as a vehicle to get there. Google Chrome, by the way, gives us an automatically updated Adobe Flash by automatically updating our "pepperflashplugin-nonfree."

    Remember, this is what I see in both Chromium and Opera after running the command:

    chrome://plugins

    I see:

    Adobe Flash Player
    Version: 21.0.0.216
    Shockwave Flash 21.0 r0

    And that's what I want you, gustavwiz, and me to see when we run that command.

    It's crazy, I know, but this entire thread is nothing more than a quest to see that simple three line statement after we run the chrome://plugins command in the omnibox of our respective chromium-based browsers!

    perknh

  • @perknh, yeppp! This is what "chrome://plugins" says in my Chromium:

    Adobe Flash Player - Version: 21.0.0.216
    Shockwave Flash 21.0 r0
    Name: Shockwave Flash
    Description: Shockwave Flash 21.0 r0
    Version: 21.0.0.216
    Location: /usr/lib/pepflashplugin-installer/libpepflashplayer.so
    Type: PPAPI (out-of-process)
    

    In my Opera, though, there's not flash at all in the list. Not even the 99.999.999.999 version, which I had earlier.

    I know that Chrome would be an easy way to get everything in order, but I've been clinging stubbornly to the free-souce code version, Chromium. Well, Opera isn't actually free-source code, but I've been using it for other reasons ever since my days in the Windows camp.

  • Hi jayaguru-shishya,

    The classic way to learn Linux is by your approach. When something is broken, fix it: Don't reinstall. I respect your approach.

    Have you rebooted? Have you tried running a page from within Opera with which you know you need Flash such as:

    http://www.cbsnews.com

    Your Adobe Flash for Chromium should be working in your Opera browser now. This isn't making a whole lot of sense to me. What version of Opera are you running?

    I'm running this:

    Version information

    Version: 37.0.2178.32 - Opera is up to date
    Update stream: Stable
    System: Ubuntu 16.04 LTS (x86_64; XFCE)

    Yours should be the version even if you're running Ubuntu Unity 14.04+

    To be honest with you, jayaguru-shishya, I'm stumped for the time being. You're so close that I'm not even convinced that Chrome could help you now. Maybe...but I'm not certain that it would.

    Do you think that upgrading to 16.04 might help? That's what I'm running here, and is the next to last rabbit I can pull out of my hat.

    That command, which is to upgrade a distribution, is:

    sudo apt-get dist-upgrade

    Maybe that could jump start Flash in Opera, but I can't guarantee it.

    My final rabbit, by the way, is to access, or ask about this particular issue, in Ubuntu's forum --which can be a rough place at times, but not always.

    I'm not giving up here, jayaguru-shishya. I just don't know what else to do. I'm drawing a big blank here. To begin, please check to see if your version of Opera is up-to-date, or reboot, or log out and then back in. Then look at your Opera Adobe Flash numbers again. Something is a little off here --but you're so close to finding a solution. Don't stop now!

    perknh

  • @perknh: Sorry for keeping you waiting, my friend! It's been a busy day for sure! I must say, now finally it is starting to make sense to me 😃 Let's see...

    1. The version of Opera that I am currently running is reported as follows:

      Version: 37.0.2178.32 - Opera is up to date
      Update stream: Stable
      System: Ubuntu 14.04.4 LTS (x86_64; Unity)

    2. Yes, I did reboot and check if it is working, but it is not 😉 Also tested by some flash-requiring applications that my Chromium can run, but Firefox and Opera cannot.

    Here is my own analysis:

    1. "adobeflash-plugin" indeed does prevent "pepperflash-plugin" from working properly. Whereas the former is installed, the system automatically prefers it over the latter one. Could this problem be overcome? Perhaps. For example, if you see the "Install Pepper Flash for Chromium in Ubuntu" instructions (www.webupd8.org/2013/04/install-pepper-flash-player-for.html), their attempt is to create a gedit file for the browser to use pepperflash as its default settings. Maybe this could be used for the Opera browser as well. However, that didn't work in my case with my Chromium.

    2. Now, let's have a quick chronological overview:

      First, the only browser I had was Firefox
      Second, I installed the Chromium browser to my Linux Ubuntu 14.04 LTS system
      Third, @perknh helped me to install pepperflash-plugin here at the Opera forum; this included purging all the remains of "adobeflash-plugin"
      Fifth, the "pepperflash-plugin" started to work perfectly on my Chromium
      Sixth, I installed the Opera browser; MY ASSUMPTION is that the Opera browser comes with "adobeflash-plugin" that does prevent "pepperflash-plugin" from working properly (which takes us back to square ONE)
      Seventh, as said in the sixth step indeed, the "pepperflash-plugin" in my Chromium DID STOP from working. HOWEVER, Opera now displays this bugged flash version "99.xxxxxxxxxx" etc.
      Eight [after a lot of hassle...], I finally re-purged the "adobeflash-plugin". The result is two-fold: 1) Opera (opera://plugins) ceases to display flash of ANY SORT, whereas 2) Chromium starts to show the up-to-date flash version AGAIN!

    So in my strongly newbie analysis, I've reached a conclusion that "pepperflash-plugin" and "adobeflash-plugin" indeed compete against each other. Now I am just guessing, but I'd assume that the former would already include the latter, or at least be a modification of the latter. If there are two competing plugins on the system though, the system needs to select one.

    Now recall back to the text file, the gedit file they were telling to create in one of the installation instructions. Wouldn't it make sense that the file is ought to be created TO DEFINE THE PREFERENCE ORDER of the existing plugins for the browser (in this case Chromium, but why not for Opera too)??

    Well, as I said in my case, it didn't quite work as such for me, but on the other hand I had already removed all the rivalling competitors ("adobeflash-plugin", and there was also this "skunk") 😉

    Well, these are just newbies thoughts.

    Ps. Thanks for the distro-update command 🙂 It might solve the problem as well; actually I was waiting till the update can be carried out through an installed, but now after having played with the console a little bit - thanks to you - I think I might do it right now.

  • Hello jayaguru-shishya,

    It's good to hear from you. I'm scratching my head on this one. Since we both using Ubuntu (mine is an Xfce version of Ubuntu), and we both have Firefox installed, as well as Chromium and Opera, why is Adobe Flash working correctly for me in Chromium and Opera, and not for you?

    (I rarely use Firefox --but if it's Flash-free, I'm happy with that.)

    jayaguru-shishya, I haven't given you any commands to run in your terminal that I haven't run on my own system. I just don't understand why Flash isn't working correctly with your installation of Opera when it's working perfectly fine on mine.. This makes no sense to me. I think now, jayaguru-shishya, you have a darn good question to ask our friends in Ubuntu forum.

    I'd sure love to hear what they have to say, and, if you post the link, I'll go there. This will be a learning experience for me too.

    perknh

  • Hahaha, that's a darn good question my friend! 😃 Well, I was waiting for a harsh fire-of-babptism to Linux, but I must say this wasn't as hard and full of despair as I expected. Well, it still left me wondering - DEEPLY.

    I'll take this to the Ubuntu forums next. I'll promise to keep you updated via this discussion thread. And after all, this is an Opera forum, and we are trying to install "pepperflash-plugin" for the Opera browser! ... although it took some unexpected turns 🙂

    Thanks for all your help again, perknh! Now, from Pontius Pilate (Opera forums) to Herodes the Great (Ubuntu forums). And we'll all know how the story goes; I will be back here in no time! Hahahaha 😉

  • There are some good people over there, jayaguru-shishya. I just hope they're the people you encounter first.

    Here's the link for Ubuntu Forums:

    http://ubuntuforums.org

  • Chromium has a command-line setting for the pepper flash path. Maybe it'll work for Opera too. It's --ppapi-flash-path=path_to_plugin

  • Hi there @perknh! Just like many movies have an interesting plot line, but the climax can be kind of a boring one, so it is with our journey:

    Upgrading to Linux Ubuntu 16.04 LTS fixed all the problems. Now, both my Opera and Chromium are running the latest version of flash. This doesn't mean, of course, that installing the pepperflash-plugin wouldn't be necessary. Well, Firefox is long purged now, and now I have moved exclusively to Opera.

    Well, I expect this thread still can be found useful for those Linux users who are still waiting for the Linux Ubuntu 16.04.1 LTS release (indeed, at this point I am still running a test-version).

    Thanks all of you guys, especially @perknh! The Linux community has proved worthy of its reputation as a source of technical support! This is something I've never experienced in the Windows camp. Thank you!

  • You're certainly welcome, jayaguru-shishya.

    This is terrific news. Congratulations!

    Please remember to keep Peppermint on your short list of future distributions to try. Opera browser and Peppermint Linux OS go very well together. And, in the meanwhile, have fun with Opera and Ubuntu.

    All the best to you.

    perknh

  • @perknh, unfortunately the problem has re-emerged. "opera://plugins" gives the version information as folllows:

    Adobe Flash Player
    Version: 21.0.0.216
    Shockwave Flash 21.0 r0

    However, when I try to open media that requires flash, I'm told that "Adobe Flash Player is out of date." I have no problems running Flash with my Chromium browser though, so it's just Opera.

  • Hi jayaguru-shishya,

    Try this, and see how this goes for you:

    sudo apt-get install --reinstall pepperflashplugin-nonfree

    Then run this to see if Opera's Flash has been updated:

    sudo update-pepperflashplugin-nonfree --status

    Knock on wood!

    perknh